package com.td.Dawa.util;

import com.td.Dawa.sys.syssettinglimit.vo.SysSettingLimitVo;

import java.util.concurrent.ConcurrentHashMap;

/**
 * 系统设置工具类
 * 系统启动时获取数据库数据，设置到公用静态集合sysSettingLimitMap
 * 更新系统设置时同步更新公用静态集合sysSettingLimitMap
 */
public class SysSettingLimitUtil {

    //使用线程安全的ConcurrentHashMap来存储系统设置
    private static ConcurrentHashMap<String, SysSettingLimitVo> sysSettingLimitMap = new ConcurrentHashMap<>();

    //从公用静态集合sysSettingLimitMap获取系统设置
    public static SysSettingLimitVo getSysSettingLimit(){
        return sysSettingLimitMap.get("sysSettingLimit");
    }

    //更新公用静态集合sysSettingLimitMap
    public static void setSysSettingLimitMap(SysSettingLimitVo sysSettingLimitVo){
        if(sysSettingLimitMap.isEmpty()){
            sysSettingLimitMap.put("sysSettingLimit",sysSettingLimitVo);
        }else{
            sysSettingLimitMap.replace("sysSettingLimit",sysSettingLimitVo);
        }
    }
}
